module top( 	input			[3:0]		iKEY,
					inout 		[31:0]	GPIO_1,    	//GPIO
					output 		[15:0]	oLEDR, 		//Red LEDs for testing output
					input  					iCLK_50		//50MHz clock
					);	
	wire CS, ADCclk, valid;
	
	assign GPIO_1[15]=CS;
	wire data1=GPIO_1[14];
	wire data2=GPIO_1[13];
	assign GPIO_1[12]=ADCclk;				
	
	wire	[15:0]	d1;
	wire	[15:0]	d2;

	ADCclk u1(iCLK_50, ADCclk);
	ADC    u2(ADCclk, data1, data2, CS, d1, d2, valid);

	
	assign oLEDR[15:0]=iKEY[0]?d1:d2;

	wire [3:0] 	pmod;
	assign GPIO_1[3:0]=pmod;
 
//	wire [11:0] rampva;		//ramp value a
//	wire [11:0] rampvb;		//ramp value b	
//	ramp u3 (75,rampva,iCLK_50);  // Ramp generation units
//	ramp u4 (25,rampvb,iCLK_50);
//	dac dac1(rampva, rampvb, pmod, iCLK_50);

	dac dac1(d1[11:0],d2[11:0], pmod, iCLK_50);

endmodule	



					

	
			
		
		
		
					

					
				
			
		
		
	
	
	
					

		

		
	
	
	